CGAL 6.1 - 3D Triangulations

Loading...
Searching...
No Matches
Functions
Draw a Triangulation 3
Reference Manual

##

`#include<CGAL/draw_triangulation_3.h>`

## Functions
template<class T3 , class GSOptions >
void | CGAL::draw (const T3 &at3, const GSOptions &gso)
| opens a new window and draws a 3D triangulation.
template<class T3 >
void | CGAL::draw (const T3 &at3)
| A shortcut to `CGAL::draw(at3, Graphics_scene_options{})`.
template<class T3 , class GSOptions >
void | CGAL::add_to_graphics_scene (const T3 &at3, CGAL::Graphics_scene &gs, const GSOptions &gso)
| adds the vertices, edges and faces of `at3` into the given graphic scene `gs`.
template<class T3 >
void | CGAL::add_to_graphics_scene (const T3 &at3, CGAL::Graphics_scene &gs)
| A shortcut to `CGAL::add_to_graphics_scene(at3, gs, Graphics_scene_options{})`.

## Function Documentation

## ◆ add_to_graphics_scene()

template<class T3 , class GSOptions >

void CGAL::add_to_graphics_scene | ( | const T3 & | at3,
|  | CGAL::Graphics_scene & | gs,
|  | const GSOptions & | gso
| ) |  |

`#include <CGAL/draw_triangulation_3.h>`

adds the vertices, edges and faces of `at3` into the given graphic scene `gs`.

Parameters of the cells are taken from the optional graphics scene options parameter `gso`. Note that `gs` is not cleared before being filled (to enable to draw several data structures in the same basic viewer).

Template Parameters

  T3 | which must be an instantiation of a `CGAL::Triangulation_3<...>`.
  GSOptions | a model of `GraphicsSceneOptions` concept.

Parameters

  at3 | the triangulation to draw.
  gs | the graphic scene to fill.
  gso | the graphics scene options parameter.

Advanced

The real declaration of this function template is:

`template<class Gt, class Tds, class LDS, class GSOptions>`

`void CGAL::add_to_graphics_scene(const CGAL::Triangulation_3<Gt, Tds, LDS>& at3, CGAL::Graphics_scene& gs, const GSOptions& gso);`

## ◆ draw()

template<class T3 , class GSOptions >

void CGAL::draw | ( | const T3 & | at3,
|  | const GSOptions & | gso
| ) |  |

`#include <CGAL/draw_triangulation_3.h>`

opens a new window and draws a 3D triangulation.

Parameters of the drawing are taken from the optional graphics scene options parameter.

A call to this function blocks the execution of the program until the drawing window is closed. This function requires `CGAL_Qt6`, and is only available if the macro `CGAL_USE_BASIC_VIEWER` is defined. Linking with the cmake target `CGAL::CGAL_Basic_viewer` will link with `CGAL_Qt6` and add the definition `CGAL_USE_BASIC_VIEWER`.

Template Parameters

  T3 | which must be an instantiation of a `CGAL::Triangulation_3<...>`.
  GSOptions | a model of `GraphicsSceneOptions` concept.

Parameters

  at3 | the triangulation to draw.
  gso | the graphics scene options parameter.

Advanced

The real declaration of this function template is:

`template<class Gt, class Tds, class LDS, class GSOptions>`

`void CGAL::draw(const CGAL::Triangulation_3<Gt, Tds, LDS>& at3, const GSOptions& gso);`